class asdf
{
public:
	asdf();
};


//     File: Indent.hh
//  Version: 1.0, for BeIDE 1.3.1+
//   Author: Bjorn Tornqvist, Polyfemos @ IRC
//           pt96bto@student.hk-r.se
//  Created: 23 March 1997 (dr8)
// Modified: 2 May 1997 (AAPR)
//
	

#ifndef _LINE__HH__
#define _LINE__HH__

class Indent;

// The Line class contains a '\n' terminated string (NOT '\0')
// and some additional data.

class Line
{
	friend class Indent;
public:
	Line(const char*, long);
	~Line();
	void setIndention(int);
	int getLength();
private:
	char myPreviousChar(const char*);
	char* myRow;
	char myLastChar;
	char myFirstChar;
	int myCurlySum;
	int myParantesisSum;
	int myLength;
	int myIndention;
	bool myIsStartOfCComment;	
	bool myIsEndOfCComment;		
	bool myIsCCComment;			
	bool myStrangeCorrected;
	Line* myPreviousLine;
	Line* myNextLine;
};

class Indent
{
public:
	Indent();
	~Indent();
	void addLine(const char*, long);
	void generateIndention(char*, bool, bool stripIndention=false);
	long getLength(void) { return myLen*2+500; };
	void processIndention(int);
	// Caller HAS to delete the returned string.
private:
	long myLen;
	Line* myFirstLine;
	Line* myLastLine;
};

#endif
