#include "Stack.h"

Stack::Stack()
{
	myStack=new int [256];
	myNumberOfItems=0;
}

Stack::~Stack()
{
	delete [] myStack;
}

void
Stack::push(int item)
{
	myStack[myNumberOfItems++]=item;
}

int
Stack::pop(void)
{
	if(myNumberOfItems)
		return myStack[--myNumberOfItems];
	return -1;
}

int
Stack::sneak()
{
	if(myNumberOfItems)
		return myStack[myNumberOfItems-1];
	return -1;
}

int
Stack::isEmpty()
{
	if(myNumberOfItems==0) return 1;
	return 0;
}
